/**
 * Piano Analytics Tarteaucitron service for Drupal.
 */
(($, Drupal) => {
  // Replace default initializeAndTrackPage by custom implementation.
  if (Drupal.pianoanalytics) {
    Drupal.pianoanalytics.initializeAndTrackPageDeferred =
      Drupal.pianoanalytics.initializeAndTrackPage;
    Drupal.pianoanalytics.initializeAndTrackPage = (pianoAnalyticsSettings) => {
      Drupal.tacjs_pianoanalytics = {
        initializeAndTrackPage() {
          Drupal.pianoanalytics.initializeAndTrackPageDeferred(
            pianoAnalyticsSettings,
          );
        },
      };
    };
  }
})(jQuery, Drupal);
